import 'package:jeweled/utils/tools.dart'; 

class DefaultGameSettings {
  // available game parameters codes
  static const String parameterCodeBoardSize = 'boardSize';
  static const String parameterCodeColorsCount = 'colorsCount';
  static const List<String> availableParameters = [
    parameterCodeBoardSize,
    parameterCodeColorsCount,
  ];

  // board size: available values
  static const String boardSizeValueSmall = '6';
  static const String boardSizeValueMedium = '10';
  static const String boardSizeValueLarge = '14';
  static const String boardSizeValueExtraLarge = '18';
  static const List<String> allowedBoardSizeValues = [
    boardSizeValueSmall,
    boardSizeValueMedium,
    boardSizeValueLarge,
    boardSizeValueExtraLarge,
  ];
  // board size: default value
  static const String defaultBoardSizeValue = boardSizeValueMedium;

  // colors count: available values
  static const String colorsCountValueLow = '5';
  static const String colorsCountValueMedium = '6';
  static const String colorsCountValueHigh = '7';
  static const String colorsCountValueVeryHigh = '8';
  static const List<String> allowedColorsCountValues = [
    colorsCountValueLow,
    colorsCountValueMedium,
    colorsCountValueHigh,
    colorsCountValueVeryHigh,
  ];
  // colors count: default value
  static const String defaultColorsCountValue = colorsCountValueMedium;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeBoardSize:
        return DefaultGameSettings.allowedBoardSizeValues;
      case parameterCodeColorsCount:
        return DefaultGameSettings.allowedColorsCountValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }

  // parameters displayed with assets (instead of painter)
  static List<String> displayedWithAssets = [
    //
  ];

  static int blockMinimumCellsCount = 3;
}
